package com.mamezou.sample.web;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mamezou.sample.business.SampleManager;

/**
 * TvT[ubgNX
 * @author MBeans
 * @version 1.0
 */
public class SampleServlet extends HttpServlet {

    private static final long serialVersionUID = 8024434575805258972L;

    /**
     * TvIuWFNg̃eLXgԂsample.jspɃtH[hB
     */
    protected void doGet(
            HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        request.setCharacterEncoding("UTF-8");
        String value = request.getParameter("value");
        request.setAttribute("sample", getSampleManager().sample(value));
        RequestDispatcher dispathcer
            = request.getRequestDispatcher("/WEB-INF/jsp/portion/sample.jsp");
        dispathcer.forward(request, response);
    }

    protected void doPost(
            HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        doGet(request, response);
    }

    private SampleManager getSampleManager() {
        Object object
            = getServletContext().getAttribute(SampleManager.class.getName());
        if (object == null || !(object instanceof SampleManager)) {
            throw new RuntimeException("SampleManager object not found");
        }
        return (SampleManager) object;
    }
}
